> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.emtelligent.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.emtelligent.com/_mcp/server.

# Get user information.

GET https://nlp.emtelligent.com/emtellipro/user

Get information about the authenticated user.

Reference: https://docs.emtelligent.com/nlp/api/info/get-user-information

## Authentication

- `Authorization` header (required) — This API uses [our API key HMAC authentication](/nlp/reference/hmac-authentication), with empty credential scope. Access keys and secret access keys will be provided by Emtelligent; contact us for key management. Keys will consist of only printable ASCII characters, and leading and trailing whitespace is insignificant.
- `x-api-key` header (required) — API keys will be provided by Emtelligent; contact us for key management. Keys will consist of only printable ASCII characters, and leading and trailing whitespace is insignificant.

## Response

### 200

Successful.

- `username` (string, required) — Username.
- `audit_reports` (boolean, required) — Flag set if reports are audited for this user.
- `permissions` (UserPermissions, required) — Permissions for this user.

## Errors

### 401 Unauthorized Error

Authentication information is missing or invalid.

- `any`

### 500 Internal Server Error

Internal server error.

- `any`

## Types

### UserPermissions

- `allowed_processing_features` (list of enum, required) — The processing features that this user can use.
  - Allowed values: `text`, `emtelligent-ontology`, `snomed-ontology`, `radlex-ontology`, `umlsnci-ontology`, `medcin-ontology`, `rxnorm-ontology`, `umlshgnc-ontology`, `umlsloinc-ontology`, `snomedicd10-ontology`, `snomedicd10cm-ontology`, `radplaybook-ontology`, `experiencer-relations`, `followup-relations`, `measurement-relations`, `imagelink-relations`, `qualifier-relations`, `medication-relations`, `temporality-relations`, `reportedevent-relations`, `anatomicsite-relations`, `entity-polarity`, `entity-uncertainty`, `entity-question-status`, `entity-guidance`, `entity-measurement-unit`, `entity-known-ambiguity`, `entity-concept-link-confidence`, `entity-experiencer`, `entity-factuality`, `entity-contextual-validity`, `document-infer-structure`
- `expires_time` (datetime, optional) — The time this user's access expires.
- `max_reports` (integer, optional) — The number of reports this user is allowed to process.
- `max_input_bytes` (integer, optional) — The number of bytes of input this user is allowed to process.

## Examples

**Response**

```json
{
  "username": "someone@example.com",
  "audit_reports": false,
  "permissions": {
    "allowed_processing_features": [
      "text",
      "emtelligent-ontology",
      "snomed-ontology",
      "experiencer-relations",
      "entity-polarity",
      "entity-uncertainty"
    ],
    "expires_time": "2020-07-27T17:26:35Z",
    "max_reports": 1000,
    "max_input_bytes": 100000
  }
}
```

**SDK Code**

```python
import requests

url = "https://nlp.emtelligent.com/emtellipro/user"

headers = {"Authorization": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://nlp.emtelligent.com/emtellipro/user';
const options = {method: 'GET', headers: {Authorization: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://nlp.emtelligent.com/emtellipro/user"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://nlp.emtelligent.com/emtellipro/user")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://nlp.emtelligent.com/emtellipro/user")
  .header("Authorization", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://nlp.emtelligent.com/emtellipro/user', [
  'headers' => [
    'Authorization' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://nlp.emtelligent.com/emtellipro/user");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://nlp.emtelligent.com/emtellipro/user")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```